package com.hzs.activity.pick.provider;

import com.hzs.activity.pick.IAcRetailPickLogServiceApi;
import com.hzs.activity.pick.service.IAcRetailPickLogService;
import com.hzs.common.core.domain.R;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.beans.factory.annotation.Autowired;


/**
 * @description: 会员提货赠送活动日志dubbo服务
 * @author: zhang jing
 * @date: 2025/1/15 17:01
 * @param:
 * @return:
 **/
@Slf4j
@DubboService
public class AcRetailPickLogServiceProvider implements IAcRetailPickLogServiceApi {


    @Autowired
    private IAcRetailPickLogService iAcRetailPickLogService;


    /**
     * @description: 处理会员提货赠送活动日志
     * @author: zhang jing
     * @date: 2025/1/15 17:12
     * @param: []
     * @return: com.hzs.common.core.domain.R<?>
     **/
    @Override
    public R<?> deliveryLog() {
        try {
            iAcRetailPickLogService.deliveryLog();
        } catch (Exception e) {
            log.error("添加会员提货赠送活动日志错误 error:", e);
            return R.fail();
        }
        return R.ok();
    }
}
